#!/bin/bash -x

SHORTCUT_DIR_PATH=${HOME}/.local/share
MENU_DIRECTORY_PATH=${SHORTCUT_DIR_PATH}/desktop-directories
MENU_FILE_PATH=${MENU_DIRECTORY_PATH}/tizen-sdk-menu.directory
MENU_ICON_FILE_PATH=${INSTALLED_PATH}/install-manager/tizen-sdk-menu.png
MENU_NAME="Tizen SDK"
MENU_COMMENT="Tizen SDK"
MENU_VERSION=1.0
PARTNER=${PARTNER_SDK}

##if not exist 'desktop-directories' directory
if [ ! -e ${MENU_DIRECTORY_PATH} ]; then
	mkdir ${MENU_DIRECTORY_PATH}
fi

if [ -e ${MENU_FILE_PATH} ]; then
	rm -rf ${MENU_FILE_PATH}
fi

##create 'Tizen SDK' menu
cat >> ${MENU_FILE_PATH} << END
[Desktop Entry]	
Type=Directory
Version=${MENU_VERSION}
Name=${MENU_NAME}
Comment=${MENU_COMMENT}
Icon=${MENU_ICON_FILE_PATH}
END